Skip to main content
GET
/
task-runs
/
{run_id}
/
storage
List task run storage items
curl --request GET \
  --url https://api.deck.co/v2/task-runs/{run_id}/storage \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "file_name": "<string>",
      "file_type": "<string>",
      "file_size": 123,
      "metadata": "<unknown>",
      "fetch_date": "2023-11-07T05:31:56Z",
      "extraction": "<unknown>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Secret key (sk_live_...)

Path Parameters

run_id
string
required

Unique identifier for the task run (prefixed with trun_).

Response

OK

data
object[]

Array of resource objects for the current page.

has_more
boolean

true if there are more results beyond this page.

next_cursor
null | string

Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.

request_id
null | string

Unique identifier for the API request.